/*
-----------------------------
FORMS
-----------------------------
*/
::placeholder {
    color: transparent;
}

form .row > div {
    padding: 1rem;
}

form .row.no-margin > div {
    padding: 0;
}

.form-row {
    position: relative;
}

.form-row label {
    position: absolute;
    top: 0;
    left: 0;
    font-size: 1.25rem;
    color: var(--base);
    padding-left: .75rem;
    line-height: 3rem;
    transition: all .5s;
    overflow: hidden;
    pointer-events: none;
    z-index: 1;
}

button, input, select, textarea {
    background-color: var(--base20);
    border: 1px solid var(--base60);
    font-size: 1.25rem;
    line-height: 2.5rem;
    color: var(--base);
}

input, select, textarea {
    box-sizing: border-box;
    margin: 0;
    display: block;
    padding: .25rem .5rem;
    width: 100%;
    transition: all .5s;
    overflow: hidden;
    outline: none;
}

input[type=checkbox] {
    display: none;
}

.form-checkbox {
    position: relative;
    padding: 1rem;
}

.form-checkbox label {
    display: block;
    box-sizing: border-box;
    background-color: var(--base20);
    border: 1px solid var(--base60);
    color: var(--text);
    font-size: 1rem;
    width: 100%;
    padding: .5rem;
    cursor: pointer;
    position: relative;
    z-index: 2;
    transition: all .3s ease-in-out;
    overflow: hidden;
}

.form-checkbox input:checked ~ label {
    color: #f2f2f3;
}

.form-checkbox label:before {
    width: 100%;
    height: 100%;
    content: '';
    background-color: var(--base);
    position: absolute;
    left: 0;
    top: 0;
    z-index: -1;
    -webkit-transform: scaleX(0);
    transform: scaleX(0);
    transition: all .3s ease-in-out;
}

.form-checkbox input:checked ~ label:before {
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
}

.form-checkbox label:after {
    position: absolute;
    font-family: 'Font Awesome 5 Free', sans-serif;
    font-weight: 900;
    font-size: .9rem;
    color: transparent;
    content: "\f00c";
    line-height: 16px;
    right: 10px;
    top: 50%;
    width: 20px;
    height: 20px;
    border: 1px solid var(--base80);
    text-align: center;
    z-index: 2;
    transform: translateY(-50%);
    transition: all .3s ease-in-out;
}

.form-checkbox input:checked ~ label:after {
    background-color: var(--accent);
    color: var(--base0);
    transition: all .3s ease-in-out;
}

select::-ms-expand {
    display: none;
}

select {
    padding: 0.25rem 3rem 0.25rem .5rem;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    cursor: pointer;
}

select ~ i {
    position: absolute;
    top: 1.5rem;
    right: 1rem;
    color: var(--base);
    pointer-events: none;
    transform: translateY(-50%);
}

textarea {
    line-height: normal;
    padding: .5rem;
    resize: none;
    height: 15rem;
}

.form-row input:focus + label,
.form-row input:not(:placeholder-shown) + label,
.form-row select:focus ~ label,
.form-row select:not([value=""]) ~ label,
.form-row textarea:focus + label,
.form-row textarea:not(:placeholder-shown) + label
{
    top: -2.25rem;
    left: 0;
    padding-left: 0;
    font-size: 1rem;
}

input:focus,
textarea:focus {
    border-color: var(--accent);
}

.form-error {
    color: var(--accent);
    font-size: 1rem;
    padding-top: .25rem;
}

.form-agree {
    padding: 1rem;
}


@media only screen and (min-width: 64em) {

    .form-agree {
        padding: 1rem 4rem;
    }

}

.form-agree label {
    position: relative;
    display: inline-block;
    line-height: 2rem;
    padding: .5rem .5rem .5rem 4rem;
    cursor: pointer;
    background-color: var(--base20);
    border: 1px solid var(--base60);
}

.form-agree label:before {
    position: absolute;
    left: 1rem;
    top: .6rem;
    font-family: 'Font Awesome 5 Free', sans-serif;
    font-weight: 900;
    font-size: 1.2rem;
    background-color: #fff;
    color: transparent;
    content: "\f00c";
    line-height: 1.65rem;
    width: 1.75rem;
    height: 1.75rem;
    border: 1px solid var(--accent);
    text-align: center;
    z-index: 2;
    transition: all .3s ease-in-out;
}

.form-agree input:checked ~ label:before {
    background-color: var(--accent);
    color: var(--base0);
    transition: all .3s;
}

/*
-----------------------------
DATEPICKER
-----------------------------
*/
.ui-datepicker {
    width: 17rem;
    height: auto;
    padding: .3rem auto 0;
    background-color: var(--base0);
    box-shadow: .5rem .5rem .5rem var(--text);
    font-size: 1.2rem;
}

.ui-datepicker a {
    color: var(--text);
}

.ui-datepicker-header {
    font-weight: bold;
}

.ui-datepicker-title {
    border: 1px solid var(--base40);
    border-bottom: none;
    text-align: center;
    padding: .5rem 0;
}

.ui-datepicker-prev, .ui-datepicker-next {
    display: inline-block;
    font-size: 1.4rem;
    padding: .4rem;
    cursor: pointer;
    overflow: hidden;
}

.ui-datepicker-prev {
    float: left;
}
.ui-datepicker-next {
    float: right;
}

.ui-datepicker table {
    width: 100%;
    border-collapse: collapse;
    box-sizing: border-box;
}

.ui-datepicker th {
    background-image: linear-gradient(to bottom, var(--base20),var(--base60));
    background-color: var(--base60);
}

.ui-datepicker td, .ui-datepicker th {
    border: 1px solid var(--base60);
    text-align: center;
}

.ui-datepicker td > a {
    display: inline-block;
    width: 100%;
    padding: .3rem 0;
}

.ui-datepicker .ui-state-hover {
    background-image: linear-gradient(to bottom, var(--base20),var(--base60));
    background-color: var(--base60);
}

.ui-datepicker-calendar .ui-state-active {
    background-color: var(--accent);
    color: var(--base0);
}

/*
-----------------------------
OTHER
-----------------------------
*/
form section {
    position: relative;
    border: 1px solid var(--base60);
}

form section h2 {
    margin: .5rem 1rem;
}

form section#web-news {
    position: unset;
    border: unset;
}

form section#web-news h2 {
    margin: unset;
}

.form-actions {
    position: absolute;
    top: 1rem;
    right: 1rem;
}

.form-actions a.curtain {
    margin: 0;
    padding: .25rem;
}

.form-actions span {
    display: inline-block;
    position: relative;
    top: -.5rem;
    padding: 0 1rem;
    font-size: 2.5rem;
}

.small-button {
    display: inline-block;
    position: relative;
    width: 2rem;
    height: 2rem;
    line-height: 2rem;
    margin: 0 .5rem;
    text-shadow: none;
}

.small-button i {
    position: absolute;
    top: 1px;
    left: 50%;
    font-size: 2rem;
    transform: translateX(-50%);
}

.form-service.form-checkbox {
    padding: 0;
}

.form-service.form-checkbox label {
    position: relative;
}

.form-service.form-checkbox label > span {
    display: inline-block;
    padding: .5rem .5rem 0 2rem;
}

.form-service.form-checkbox label:after {
    left: .5rem;
    top: unset;
    margin-top: 1.125rem;
}

#club_additional {
    margin-top: 2rem;
}

